import java.applet.*;
import java.awt.*;
import java.net.*;

public class ChoiceAndGo extends Applet
{
  Choice chURLs;
  Button btnGo;
  String szURLtoGo;
  
  // ===========================================
  // init
  // ===========================================
  public void init()
  {
    chURLs = new Choice();
    btnGo = new Button("Go!");
    
    add(chURLs);
    add(btnGo);
    
    chURLs.addItem("http://www.sun.com");
    chURLs.addItem("http://www.sun.ru");
    chURLs.addItem("http://www.altavista.com");
    chURLs.addItem("http://www.glasnet.ru/~frolov");
    
    setBackground(Color.yellow);
  }

  // ===========================================
  // getAppletInfo
  // ===========================================
  public String getAppletInfo()
  {
    return "Name: ChoiceAndGo";
  }
  
  // ===========================================
  // action
  // ===========================================
  public boolean action(Event evt, Object obj)
  {
    Choice ch;
    int nSelectedIndex;
    
    if(evt.target instanceof Choice)
    {
      ch = (Choice)evt.target;
      
      if(ch.equals(chURLs))
      {
	nSelectedIndex = ch.getSelectedIndex();
	szURLtoGo = ch.getSelectedItem();
	return true;
      }
    }
    
    else if(evt.target instanceof Button)
    {
      if(evt.target.equals(btnGo))
      {
	goURL(szURLtoGo);
	return true;
      }
    }
    return false;
  }  
  
  // ===========================================
  // goURL
  // ===========================================
  public void goURL(String szURL)
  {
    if(szURL != null)
    {
      URL url = null;
      AppletContext appletContext;
      appletContext = getAppletContext();

      try
      {
        url = new URL(szURL);
      }
      catch (MalformedURLException e) { }

      if (url != null)
      {
        appletContext.showDocument(url, "_self");
      }
    }
  }
}

